<InstanceConfig>
    type = file
    <arguments>
        directory = /etc/zaaksysteem/customer.d
    </arguments>
</IntanceConfig>

<redis>
  <session>
    host = redis
    port = 6379
  </session>
</redis>

<statsd>
    host = statsd
    port = 8125
</statsd>

<amqp>
  url = 'http://message-queue:5672'

  <publish_settings>
    exchange = "minty_exchange"
  </publish_settings>

  <consumer_settings>
    routing_keys = "zsnl.v2.*.*.*"
    queue_name = "legacy_logging_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    consumer_class = "zsnl_amqp_consumers.consumers.LegacyLoggingConsumer"
    number_of_channels = 1

    <dead_letter_exchange>
      exchange = "minty_exchange_retry"
      retry_time_ms = 60000
    </dead_letter_exchange>
  </consumer_settings>

  <consumer_settings>
    routing_keys = "zsnl.v2.zsnl_communication_http_domains_communication.ExternalMessage.ExternalMessageCreated"
    routing_keys = "zsnl.v2.zsnl_domains_document.Document.DocumentCreated"

    queue_name = "email_notifications"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    consumer_class = "zsnl_amqp_consumers.notifications.consumer.EmailNotificationConsumer"
    number_of_channels = 1
    <dead_letter_exchange>
      exchange = "minty_exchange_retry"
      retry_time_ms = 60000
    </dead_letter_exchange>
  </consumer_settings>

  <CommunicationConsumer>
    queue_name = "communication_queue"
    exchange  =  "zaaksysteem"
    qos_prefetching =  1
    number_of_channels = 1
    <dead_letter_exchange>
      exchange = "zaaksysteem_retry"
      retry_time_ms = 60000
    </dead_letter_exchange>
  </CommunicationConsumer>

  <CaseEventsConsumer>
    queue_name = "case_management_queue"
    exchange  =  "zaaksysteem"
    qos_prefetching =  1
    number_of_channels = 1
    <dead_letter_exchange>
      exchange = "zaaksysteem_retry"
      retry_time_ms = 60000
    </dead_letter_exchange>
  </CaseEventsConsumer>

</amqp>


<filestore>
    # Required:
    name = minio
    bucket = dev
    type = s3

    # one of 'auto', 'virtual', 'path'; defaults to "auto"
    addressing_style = path

    # Optional:
    endpoint_url = http://minio.dev.zaaksysteem.nl:9000
    #region_name = xxx

    access_id = AKIAIOSFODNN7EXAMPLE
    access_key = wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY
</filestore>

virus_scanner_url = http://virusscanner:5000/filestore
